import request, { postBlob, getBlob, handleImport } from "@/utils/request";

export function lbsAmapRegion(params) {
  return request({
    url: "/common/region/list",
    method: "get",
    params,
  });
}

export function getSystemList(params) {
  return request({
    url: "/sys/dict/list/page",
    method: "get",
    params,
  });
}

export function getExpress(params) {
  return request({
    url: "/common/express",
    method: "get",
    params,
  });
}

export function getCompanyList(params) {
  return request({
    url: "/common/express/company",
    method: "get",
    params,
  });
}

export function commonTemplateDownload(params, name) {
  return getBlob({
    url: "common/template/download",
    params,
    name,
  });
}
