import request, { postBlob, getBlob, handleImport } from "@/utils/request";

export function goodsApplyList(data) {
  return request({
    url: `/goodsApply/list?moduleId=${data.moduleId}`,
    method: "post",
    data,
  });
}

export function goodsApplyListExport(data, name) {
  return postBlob({
    url: "/goodsApply/list/export",
    data,
    name,
  });
}

export function goodsApplyAdd(data) {
  return request({
    url: "/goodsApply/add",
    method: "post",
    data,
  });
}

export function goodsApplyUpdate(data) {
  return request({
    url: "/goodsApply/update",
    method: "post",
    data,
  });
}

export function goodsApplyDetail(params) {
  return request({
    url: "/goodsApply/detail",
    method: "post",
    params,
  });
}

export function goodsApplyApprove(params) {
  return request({
    url: "/goodsApply/approve",
    method: "post",
    params,
  });
}

export function goodsApplyCount(params) {
  return request({
    url: "/goodsApply/count",
    method: "post",
    params,
  });
}
